package main

import (
	"fmt"

	"github.com/gin-gonic/gin"
)

// 最小化中间件
func MyMiddleware() gin.HandlerFunc {
	return func(c *gin.Context) {
		// 请求前处理
		fmt.Println("Before request")

		// 继续下一个中间件/Handler
		c.Next()

		// 响应后处理
		fmt.Println("After request2")
		fmt.Println("After request1")
	}
}

func main() {
	r := gin.Default()

	// 使用中间件
	r.Use(MyMiddleware())

	r.GET("/", func(c *gin.Context) {
		c.JSON(200, gin.H{"message": "Hello"})
	})

	r.Run(":9999")
}
